<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListChangeQueue StructType
 * @subpackage Structs
 */
class ListChangeQueue extends AbstractStructBase
{
    /**
     * The firstChangeId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $firstChangeId;
    /**
     * The lastChangeId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $lastChangeId;
    /**
     * The nextStartChangeId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $nextStartChangeId;
    /**
     * The queueId
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $queueId;
    /**
     * Constructor method for ListChangeQueue
     * @uses ListChangeQueue::setFirstChangeId()
     * @uses ListChangeQueue::setLastChangeId()
     * @uses ListChangeQueue::setNextStartChangeId()
     * @uses ListChangeQueue::setQueueId()
     * @param int $firstChangeId
     * @param int $lastChangeId
     * @param int $nextStartChangeId
     * @param string $queueId
     */
    public function __construct($firstChangeId = null, $lastChangeId = null, $nextStartChangeId = null, $queueId = null)
    {
        $this
            ->setFirstChangeId($firstChangeId)
            ->setLastChangeId($lastChangeId)
            ->setNextStartChangeId($nextStartChangeId)
            ->setQueueId($queueId);
    }
    /**
     * Get firstChangeId value
     * @return int|null
     */
    public function getFirstChangeId()
    {
        return $this->firstChangeId;
    }
    /**
     * Set firstChangeId value
     * @param int $firstChangeId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListChangeQueue
     */
    public function setFirstChangeId($firstChangeId = null)
    {
        $this->firstChangeId = $firstChangeId;
        return $this;
    }
    /**
     * Get lastChangeId value
     * @return int|null
     */
    public function getLastChangeId()
    {
        return $this->lastChangeId;
    }
    /**
     * Set lastChangeId value
     * @param int $lastChangeId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListChangeQueue
     */
    public function setLastChangeId($lastChangeId = null)
    {
        $this->lastChangeId = $lastChangeId;
        return $this;
    }
    /**
     * Get nextStartChangeId value
     * @return int|null
     */
    public function getNextStartChangeId()
    {
        return $this->nextStartChangeId;
    }
    /**
     * Set nextStartChangeId value
     * @param int $nextStartChangeId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListChangeQueue
     */
    public function setNextStartChangeId($nextStartChangeId = null)
    {
        $this->nextStartChangeId = $nextStartChangeId;
        return $this;
    }
    /**
     * Get queueId value
     * @return string|null
     */
    public function getQueueId()
    {
        return $this->queueId;
    }
    /**
     * Set queueId value
     * @param string $queueId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ListChangeQueue
     */
    public function setQueueId($queueId = null)
    {
        $this->queueId = $queueId;
        return $this;
    }
}
